| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
Endpoint

Endpoint Definitions and Methods. More...

## Classes
struct | unsp__GetAssociatedSipEndpointListRequest
| Get Associated SIP Endpoint List request. More...
struct | unsp__AssociatedSipEndpointEntry
| Associated SIP Endpoint Entry. More...
struct | unsp__GetAssociatedSipEndpointListData
| Get Associated SIP Endpoint List Data. More...
struct | unsp__GetAssociatedSipEndpointListResult
| Get Associated SIP Endpoint List result. More...
struct | unsp__EndpointAttributes
| Endpoint Attributes. More...
class | EndpointCreateObject
| Endpoint Create Data. More...
class | unsp__CreateEndpointRequest
| Create Endpoint request. More...
struct | unsp__CreateEndpointResult
| Create Endpoint result. More...
class | unsp__RemoveEndpointRequest
| Remove Endpoint request. More...
struct | unsp__RemoveEndpointResult
| Remove Endpoint result. More...
class | unsp__ModifyEndpointRequest
| Modify Endpoint request. More...
struct | unsp__ModifyEndpointResult
| Modify Endpoint result. More...
class | unsp__QueryEndpointRequest
| Query Endpoint request. More...
class | unsp__Endpoint
| Endpoint data. More...
class | unsp__ArrayOfEndpoint
| Array of Endpoints. More...
struct | unsp__EndpointResult
| Query Endpoint result. More...
struct | unsp__EndpointAuditInfo
| Information of the endpoint to be audited. More...
struct | unsp__TestAuditEndpointRequest
| Test Audit Endpoint request. More...
struct | unsp__TestAuditEndpointResult
| Test Audit Endpoint result. More...
class | unsp__ArrayOfModifyEndpointObject
| Array of Modify Endpoint request. More...
class | unsp__MassModifyEndpointsRequest
| Mass Modify Endpoints request. More...
struct | unsp__MassModifyEndpointsListEntryDataResult
| Mass Modify Endpoints List Entry result. More...
struct | unsp__MassModifyEndpointsListEntriesResult
| Mass Modify Endpoints List result List. More...
struct | unsp__MassModifyEndpointsResult
| Mass Modify Endpoints result. More...

## Enumerations
enum | unsp__EndpointType { EtIgnored = -3, EtUnused = -2, EtUnassigned = -1, EtH323Term = 1, EtH323Gw, EtH323Mcu, EtSip, EtH323All = 99 }
| Endpoint Type. More...
enum | unsp__EndpointSortType { EndpointStUnassigned = -1, EndpointStID, EndpointStEpType, EndpointStAccountAuth, EndpointStEpName, EndpointStEpOperationalState }
| Endpoint Sort Type. More...
enum | unsp__DnsSrv { DnsSrvUnassigned = -1, DnsSrvDisabled, DnsSrvEnabled }
| DNS Srv. More...
enum | unsp__EndpointNNIType { NNITypeUnused = -2, NNITypeUnassigned = -1, NNITypeOpenScapeVoice = 0, NNITypeHipath4000, NNITypePSTNGateway, NNITypeOther }
| Endpoint NNI Type. More...
enum | unsp__OperationalState { Undefined = -1, Normal, CommunicationLost, Inaccessible, NormalAuditing, InaccessibleAuditing }
| Operational State. More...
enum | unsp__EpFailover { EpFailoverUnassigned = -1, EpFailoverOff, EpFailoverOn }
| Endpoint Failover. More...
enum | unsp__QueryEndpointType { QueryEPTypeDefault = 0, QueryEPTypeAssociatedEndpoints = 1, QueryEPTypeCandidateRepEndpoints = 2 }
| Query Endpoint Type. More...
enum | unsp__EndpointAuditType { eAuditTypeEnable = 0, eAuditTypePeriodicEnable, eAuditTypePeriodicDisable }
| audit types for auditing an endpoint More...

## Functions
int | unsp__GetAssociatedSipEndpointList (struct unsp__GetAssociatedSipEndpointListRequest GetAssociatedSipEndpointListRequest, struct unsp__GetAssociatedSipEndpointListResult *GetAssociatedSipEndpointListResult)
| This method retrieves the list of Associated Endpoints. More...
int | unsp__massModifyEndpoints (unsp__MassModifyEndpointsRequest MassModifyEndpointsRequest, struct unsp__MassModifyEndpointsResult *MassModifyEndpointsResult)
| Modifies multiple Endpoints with a single API invocation. More...
int | unsp__createEndpoint (unsp__CreateEndpointRequest CreateEndpointRequest, struct unsp__CreateEndpointResult *CreateEndpointResult)
| Creates an Endpoint. More...
int | unsp__removeEndpoint (unsp__RemoveEndpointRequest RemoveEndpointRequest, struct unsp__RemoveEndpointResult *RemoveEndpointResult)
| Removes an Endpoint. More...
int | unsp__modifyEndpoint (unsp__ModifyEndpointRequest ModifyEndpointRequest, struct unsp__ModifyEndpointResult *ModifyEndpointResult)
| Modifies an Endpoint. More...
int | unsp__queryEndpoint (unsp__QueryEndpointRequest QueryEndpointRequest, struct unsp__EndpointResult *QueryEndpointResult)
| Queries Endpoints. More...
int | unsp__TestAuditEndpoint (struct unsp__TestAuditEndpointRequest TestAuditEndpointRequest, struct unsp__TestAuditEndpointResult *TestAuditEndpointResult)
| Performs an on demand PRM audit for a subscriber or NNI endpoint. More...

## Detailed Description

Endpoint Definitions and Methods.

Endpoints are external devices, e.g. Gateways, Proxies or SIP Trunks and also SIP endpoints, like SIP telephones and analog endpoints. An endpoint is a network component, such as an originating or terminating device. An endpoint can be a DN that does not have a number associated with it yet. An Endpoint Profile enables you to set parameters for that endpoint.

## Endpoint Management Levels

Endpoints and Endpoint Profiles can be managed on the following two levels:

- on system-wide level
- on Business Group level

## Enumeration Type Documentation

## ◆ unsp__DnsSrv

enum unsp__DnsSrv

DNS Srv.

Enumerator
DnsSrvUnassigned | Unassigned.
DnsSrvDisabled | Disabled.
DnsSrvEnabled | Enabled.

## ◆ unsp__EndpointAuditType

enum unsp__EndpointAuditType

audit types for auditing an endpoint

Enumerator
eAuditTypeEnable | Enable auditing, Old functionality.
eAuditTypePeriodicEnable | Auditing periodic enable.
eAuditTypePeriodicDisable | Auditing periodic disable.

## ◆ unsp__EndpointNNIType

enum unsp__EndpointNNIType

Endpoint NNI Type.

Enumerator
NNITypeUnused | Unused.
NNITypeUnassigned | Unassigned.
NNITypeOpenScapeVoice | Openscape Voice.
NNITypeHipath4000 | Hipath 4000.
NNITypePSTNGateway | PSTN Gateway.
NNITypeOther | Other.

## ◆ unsp__EndpointSortType

enum unsp__EndpointSortType

Endpoint Sort Type.

Enumerator
EndpointStUnassigned | Unassigned.
EndpointStID | Endpoint ID.
EndpointStEpType | Endpoint Type.
EndpointStAccountAuth | Endpoint Account Authentication.
EndpointStEpName | Endpoint Name.
EndpointStEpOperationalState | Endpoint Operational State.

## ◆ unsp__EndpointType

enum unsp__EndpointType

Endpoint Type.

Enumerator
EtIgnored | Ignored.
EtUnused | Unused.
EtUnassigned | Unassigned.
EtH323Term | H323Term.
EtH323Gw | H323Gw.
EtH323Mcu | H323Mcu.
EtSip | Sip.
EtH323All | H323All.

## ◆ unsp__EpFailover

enum unsp__EpFailover

Endpoint Failover.

Enumerator
EpFailoverUnassigned | Unassigned.
EpFailoverOff | Off.
EpFailoverOn | On.

## ◆ unsp__OperationalState

enum unsp__OperationalState

Operational State.

Enumerator
Undefined | Undefined.
Normal | Normal.
CommunicationLost | Communication Lost.
Inaccessible | Inaccessible.
NormalAuditing | Normal Auditing.
InaccessibleAuditing | Inaccessible Auditing.

## ◆ unsp__QueryEndpointType

enum unsp__QueryEndpointType

Query Endpoint Type.

Enumerator
QueryEPTypeDefault | Default.
QueryEPTypeAssociatedEndpoints | Associated Endpoints.
QueryEPTypeCandidateRepEndpoints | Candidate Representative Endpoints.

## Function Documentation

## ◆ unsp__createEndpoint()

unsp__createEndpoint | ( | unsp__CreateEndpointRequest | CreateEndpointRequest,
|  | struct unsp__CreateEndpointResult * | CreateEndpointResult
| ) |  |

Creates an Endpoint.

Parameters

  CreateEndpointRequest | API request
  CreateEndpointResult | API result MP2 command: Endpoint [Attributes]

## ◆ unsp__GetAssociatedSipEndpointList()

unsp__GetAssociatedSipEndpointList | ( | struct unsp__GetAssociatedSipEndpointListRequest | GetAssociatedSipEndpointListRequest,
|  | struct unsp__GetAssociatedSipEndpointListResult * | GetAssociatedSipEndpointListResult
| ) |  |

This method retrieves the list of Associated Endpoints.

Parameters

  GetAssociatedSipEndpointListRequest | API request
  GetAssociatedSipEndpointListResult | API result

## ◆ unsp__massModifyEndpoints()

unsp__massModifyEndpoints | ( | unsp__MassModifyEndpointsRequest | MassModifyEndpointsRequest,
|  | struct unsp__MassModifyEndpointsResult * | MassModifyEndpointsResult
| ) |  |

Modifies multiple Endpoints with a single API invocation.

Parameters

  MassModifyEndpointsRequest | API request
  MassModifyEndpointsResult | API result

## ◆ unsp__modifyEndpoint()

unsp__modifyEndpoint | ( | unsp__ModifyEndpointRequest | ModifyEndpointRequest,
|  | struct unsp__ModifyEndpointResult * | ModifyEndpointResult
| ) |  |

Modifies an Endpoint.

Parameters

  ModifyEndpointRequest | API request
  ModifyEndpointResult | API result MP2 command: ModifyEndpoint [Attributes]

## ◆ unsp__queryEndpoint()

unsp__queryEndpoint | ( | unsp__QueryEndpointRequest | QueryEndpointRequest,
|  | struct unsp__EndpointResult * | QueryEndpointResult
| ) |  |

Queries Endpoints.

Parameters

  QueryEndpointRequest | API request
  QueryEndpointResult | API result

## ◆ unsp__removeEndpoint()

unsp__removeEndpoint | ( | unsp__RemoveEndpointRequest | RemoveEndpointRequest,
|  | struct unsp__RemoveEndpointResult * | RemoveEndpointResult
| ) |  |

Removes an Endpoint.

Parameters

  RemoveEndpointRequest | API request
  RemoveEndpointResult | API result MP2 command: RemoveEndpoint [Attributes]

## ◆ unsp__TestAuditEndpoint()

unsp__TestAuditEndpoint | ( | struct unsp__TestAuditEndpointRequest | TestAuditEndpointRequest,
|  | struct unsp__TestAuditEndpointResult * | TestAuditEndpointResult
| ) |  |

Performs an on demand PRM audit for a subscriber or NNI endpoint.

Parameters

  TestAuditEndpointRequest | API request
  TestAuditEndpointResult | API result